from fastapi import FastAPI
from fastapi.staticfiles import StaticFiles

# from .db import Base, engine
from .routes import router

app = FastAPI(title="GCOutline")

app.include_router(router)


@app.on_event("startup")
def on_startup():
    # Create tables for demo if they do not exist
    # Base.metadata.create_all(bind=engine)
    pass


app.mount("/static", StaticFiles(directory="static"), name="static")


@app.get("/")
async def root():
    return {"message": "Hello Bigger Applications!"}
